/**
 * React Native Full App (https://store.enappd.com/product/react-native-full-app)
 *
 * Copyright © 2019-present Enappd. All rights reserved.
 *
 * This source code is licensed as per the terms found in the
 * LICENSE.md file in the root directory of this source tree.
 */ 
import React, { Component } from 'react';
import EditProfileView from './editProfileView';
import { NavigationStackScreenProps, withNavigation } from 'react-navigation';
interface InstaProps extends NavigationStackScreenProps {
    imageUrl: any
}
interface InstaStates {
    selected: string
}
class EditProfileContainer extends React.Component<InstaProps, InstaStates> {
    constructor(props: InstaProps) {
        super(props);
        this.state = {
            selected: 'Male'

        };
    }
    onValueChange = (value: string) => {
        this.setState({
            selected: value
        });
    }
    goBackTo = () => {
        this.props.navigation.goBack()
    }
    render() {
        const { selected } = this.state

        return (
            <EditProfileView
                onValueChange={this.onValueChange}
                selected={selected}
                goBackTo={this.goBackTo} />
        );
    }
}

export default withNavigation(EditProfileContainer);